/******************************************************************************
*
* project name:  TICT Game Construction Kit (TICT-GCK)
* file name:     generatetiosname.c
* initial date:  27/06/2001
* author:        thomas.nussbaumer@gmx.net
*
* $Id$
*
******************************************************************************/

#include "gcklib.h"
#include <string.h>

/*===========================================================================*/
/* generates TIOS filename from C string                                     */
/* returns pointer to end of TIOS filename                                   */
/*===========================================================================*/
char* GenerateTIOSName(char* cname,char* buffer) {
    buffer[0] = 0;
    return (strcpy(buffer + 1, cname) + strlen(cname));
}

//#############################################################################
// Revision History
//#############################################################################
//
// $Log$
//