/******************************************************************************
*
* project name:  TICT Game Construction Kit (TICT-GCK)
* file name:     getsymbyname.c
* initial date:  27/06/2001
* author:        thomas.nussbaumer@gmx.net
*
* $Id$
*
******************************************************************************/

#include "gcklib.h"

/*===========================================================================*/
/* returns SYM_ENTRY pointer of symbol specified by given name               */
/* NOTE: name can be of any kind (C or TIOS). if name[0] is 0 this routine   */
/*       believes its a tios name otherwise its a C name.                    */
/*===========================================================================*/
SYM_ENTRY* GetSymByName(char* name) {
    char buf[50];
    HSym hs;

    if (*name) hs = SymFind(GenerateTIOSName(name,buf));  /* cname    */
    else       hs = SymFind(name);                        /* tiosname */

    if (!hs.folder) return NULL;
    else            return DerefSym(hs);
}

//#############################################################################
// Revision History
//#############################################################################
//
// $Log$
//