/******************************************************************************
*
* project name:  TICT Game Construction Kit (TICT-GCK)
* file name:     savemap.c
* initial date:  27/06/2001
* author:        thomas.nussbaumer@gmx.net
*
* $Id$
*
******************************************************************************/

#include "gcklib.h"
#include <stdio.h>
#include <estack.h>
#include <string.h>

short SaveMapData(char* filename,MAPDATA* md) {
    FILE*         fp;
    unsigned long magic = MAGIC_MAPFILE;

    if (!(fp = fopen(filename,"wb"))) return 0;

    // write magic character
    if (fwrite(&magic,4,1,fp)!= 1) {
        fclose(fp);
        remove(filename);
        return 0;
    }

    if (fwrite(md,14 + md->size_x * md->size_y * 2,1,fp)!= 1) {
        fclose(fp);
        remove(filename);
        return 0;
    }

    fputc(0, fp);
    fputs("mdb", fp);
    fputc(0, fp);
    fputc(OTH_TAG, fp);

    fclose(fp);
    return 1;
}


//#############################################################################
// Revision History
//#############################################################################
//
// $Log$
//