@echo off
echo ======= building extgraph library =======
set ARCHIVE_TOOL=d:\tigcc\bin\ar
echo using ARCHIVE_TOOL at %ARCHIVE_TOOL% ...
tigcc -O3 -fomit-frame-pointer -Wall -w -c boundcollide.c
tigcc -Os -fomit-frame-pointer -Wall -w -c map.c
tigcc -Os -fomit-frame-pointer -Wall -w -c generatetiosname.c
tigcc -Os -fomit-frame-pointer -Wall -w -c getsymbyname.c
tigcc -Os -fomit-frame-pointer -Wall -w -c loadtiledata.c
tigcc -Os -fomit-frame-pointer -Wall -w -c loadmapdata.c
tigcc -Os -fomit-frame-pointer -Wall -w -c savemapdata.c
tigcc -O3 -fomit-frame-pointer -Wall -w -c init.c
tigcc -O3 -fomit-frame-pointer -Wall -w -c waitkeysreleased.c
tigcc -Os -fomit-frame-pointer -Wall -w -c mapglobals.c
tigcc -O3 -fomit-frame-pointer -Wall -w -c putsprite16x16.c
tigcc -O3 -fomit-frame-pointer -Wall -w -c putsprite16x16clipped.c
tigcc -O3 -fomit-frame-pointer -Wall -w -c puttile16x16.c
tigcc -O3 -fomit-frame-pointer -Wall -w -c puttile16x16clipped.c
tigcc -Os -fomit-frame-pointer -Wall -w -c getmapcontentatscreenxy.c
tigcc -Os -fomit-frame-pointer -Wall -w -c drawborder92.c
tigcc -Os -fomit-frame-pointer -Wall -w -c fileselection.c
tigcc -Os -fomit-frame-pointer -Wall -w -c unpack.c
%ARCHIVE_TOOL% -r gcklib.a boundcollide.o
%ARCHIVE_TOOL% -r gcklib.a map.o
%ARCHIVE_TOOL% -r gcklib.a generatetiosname.o
%ARCHIVE_TOOL% -r gcklib.a getsymbyname.o
%ARCHIVE_TOOL% -r gcklib.a loadtiledata.o
%ARCHIVE_TOOL% -r gcklib.a loadmapdata.o
%ARCHIVE_TOOL% -r gcklib.a savemapdata.o
%ARCHIVE_TOOL% -r gcklib.a init.o
%ARCHIVE_TOOL% -r gcklib.a waitkeysreleased.o
%ARCHIVE_TOOL% -r gcklib.a mapglobals.o
%ARCHIVE_TOOL% -r gcklib.a putsprite16x16.o
%ARCHIVE_TOOL% -r gcklib.a putsprite16x16clipped.o
%ARCHIVE_TOOL% -r gcklib.a puttile16x16.o
%ARCHIVE_TOOL% -r gcklib.a puttile16x16clipped.o
%ARCHIVE_TOOL% -r gcklib.a getmapcontentatscreenxy.o
%ARCHIVE_TOOL% -r gcklib.a drawborder92.o
%ARCHIVE_TOOL% -r gcklib.a fileselection.o
%ARCHIVE_TOOL% -r gcklib.a unpack.o
del *.o
copy gcklib.a ..\..\lib
copy gcklib.h ..\..\lib
del gcklib.a
SET ARCHIVE_TOOL=
@echo on